Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::script_node_class Class Reference

Inheritance diagram for openvrml::script_node_class:

[legend]
List of all members.

## Detailed Description

Class object for script_nodes.

There is one script_node_class per browser instance.

See also:
  browser::scriptNodeClass

## Public Member Functions

| script_node_class (openvrml::browser &browser)
| Construct.
virtual | ~script_node_class () throw ()
| Destroy.

## Private Member Functions

virtual const node_type_ptr | do_create_type (const std::string &id, const node_interface_set &interfaces) const throw ()
| Not implemented.

## Constructor & Destructor Documentation

openvrml::script_node_class::script_node_class | ( | openvrml::browser & | browser | ) |

Construct.

Parameters:

  | browser | the browser to be associated with the script_node_class.

openvrml::script_node_class::~script_node_class | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

const node_type_ptr openvrml::script_node_class::do_create_type | ( | const std::string & | id,
|  | const node_interface_set & | interfaces
| ) | const throw ()`[private, virtual]`

| Not implemented. This method is not implemented because the Script node implementation, unlike other node implementations, cannot provide the implementation of an `EXTERNPROTO`. It is an error to call this method. Implements openvrml::node_class.